Package org.apache.calcite.avatica

# Class Meta.ExecuteResult

java.lang.Object
org.apache.calcite.avatica.Meta.ExecuteResult

Enclosing interface:
  Meta

public static class Meta.ExecuteResult extends Object
Response from execute.

Typically a query will have a result set and rowCount = -1; a DML statement will have a rowCount and no result sets.

## Field Summary

Fields
Modifier and Type
Field
Description
`final List<Meta.MetaResultSet>`
`resultSets`

## Constructor Summary

Constructors
Constructor
Description
`ExecuteResult(List<Meta.MetaResultSet> resultSets)`

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### resultSets

public final List<Meta.MetaResultSet> resultSets

## Constructor Details

### ExecuteResult

public ExecuteResult(List<Meta.MetaResultSet> resultSets)